<?php

include("../../classes/database.class.php");
include("../../classes/definicaoModel.class.php");
include("../../classes/definicaoController.class.php");

$pais = $_POST["pais"];
$serie = $_POST["serie"];
$moeda = $_POST["moeda"];
$qtdLinhaPreco = $_POST["qtdLinhaPreco"];
$linhaPrecoPredefinida = $_POST["linhaPrecoPredefinida"];
$tipoPrograma = $_POST["tipoPrograma"];
$retencaoFonte = $_POST["retencaoFonte"];
$regimeFiscal = $_POST["regimeFiscal"];
$impostoDeductivel = $_POST["impostoDeductivel"];
$stockNegativo = $_POST["stockNegativo"];

$definicao = new DefinicaoController();

if ($pais != null) {
    $definicao->setPais($pais);
}
if ($serie != null) {
    $definicao->setSerie($serie);
}
if ($moeda != null) {
    $definicao->setMoeda($moeda);
}
if ($stockNegativo != null) {
    $definicao->setStockNegativo($stockNegativo);
}
if ($qtdLinhaPreco != null) {
    $definicao->setQtdLinhaPreco($qtdLinhaPreco);
}
if ($linhaPrecoPredefinida != null) {
    $definicao->setLinhaPrecoPredefinida($linhaPrecoPredefinida);
}
if ($tipoPrograma != null) {
    $definicao->setTipoPrograma($tipoPrograma);
}

if ($retencaoFonte != null) {
    $definicao->setRetencaoFonte($retencaoFonte);
}

if ($regimeFiscal != null) {
    $definicao->setRegimeFiscal($regimeFiscal);
}

if ($impostoDeductivel != null) {
    $definicao->setImpostoDeductivel($impostoDeductivel);
}